package com.zcloud.primeport.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.VehicleMessageAddCmd;
import com.zcloud.primeport.dto.VehicleMessagePageQry;
import com.zcloud.primeport.dto.VehicleMessageUpdateCmd;
import com.zcloud.primeport.dto.clientobject.VehicleMessageCO;

/**
 * web-client
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:28
 */
public interface VehicleMessageServiceI {
    PageResponse<VehicleMessageCO> listPage(VehicleMessagePageQry qry);

    SingleResponse<VehicleMessageCO> add(VehicleMessageAddCmd cmd);

    void edit(VehicleMessageUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

